Debian Bug report logs - #511224
parted: skeletal ext4 support

version graph

Package: parted; Maintainer for parted is Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>; Source for parted is src:parted.

Reported by: Colin Watson <cjwatson@ubuntu.com>

Date: Thu, 8 Jan 2009 16:15:02 UTC

Severity: wishlist

Tags: patch

Found in version parted/1.8.8.git.2008.03.24-11.1

Fixed in version parted/1.8.8.git.2009.05.23-1

Done: Otavio Salvador <otavio@ossystems.com.br>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>:
Bug#511224; Package parted. (Thu, 08 Jan 2009 16:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@ubuntu.com>:
New Bug report received and forwarded. Copy sent to Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>. (Thu, 08 Jan 2009 16:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@ubuntu.com>
To: submit@bugs.debian.org
Subject: parted: skeletal ext4 support
Date: Thu, 8 Jan 2009 16:12:07 +0000
[Message part 1 (text/plain, inline)]
Package: parted
Version: 1.8.8.git.2008.03.24-11.1
Severity: wishlist
Tags: patch
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu ubuntu-patch jaunty

The attached dpatch adds skeletal support for ext4 (also forwarded
upstream at
http://parted.alioth.debian.org/cgi-bin/trac.cgi/ticket/188). Would you
consider adding it? I believe that this is enough to allow d-i to
install on ext4 given kernel support, klibc support, and a few partman
patches which I'll send separately.

Thanks,

-- 
Colin Watson                                       [cjwatson@ubuntu.com]
[ext4.dpatch (text/plain, attachment)]

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 24 May 2009 08:09:06 GMT) Full text and rfc822 format available.

Reply sent to Otavio Salvador <otavio@ossystems.com.br>:
You have taken responsibility. (Mon, 25 May 2009 00:06:13 GMT) Full text and rfc822 format available.

Notification sent to Colin Watson <cjwatson@ubuntu.com>:
Bug acknowledged by developer. (Mon, 25 May 2009 00:06:13 GMT) Full text and rfc822 format available.

Message #12 received at 511224-close@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@ossystems.com.br>
To: 511224-close@bugs.debian.org
Subject: Bug#511224: fixed in parted 1.8.8.git.2009.05.23-1
Date: Sun, 24 May 2009 23:42:34 +0000
Source: parted
Source-Version: 1.8.8.git.2009.05.23-1

We believe that the bug you reported is fixed in the latest version of
parted, which is due to be installed in the Debian FTP archive:

libparted1.8-11_1.8.8.git.2009.05.23-1_amd64.deb
  to pool/main/p/parted/libparted1.8-11_1.8.8.git.2009.05.23-1_amd64.deb
libparted1.8-dbg_1.8.8.git.2009.05.23-1_amd64.deb
  to pool/main/p/parted/libparted1.8-dbg_1.8.8.git.2009.05.23-1_amd64.deb
libparted1.8-dev_1.8.8.git.2009.05.23-1_amd64.deb
  to pool/main/p/parted/libparted1.8-dev_1.8.8.git.2009.05.23-1_amd64.deb
libparted1.8-i18n_1.8.8.git.2009.05.23-1_all.deb
  to pool/main/p/parted/libparted1.8-i18n_1.8.8.git.2009.05.23-1_all.deb
libparted1.8-udeb_1.8.8.git.2009.05.23-1_amd64.udeb
  to pool/main/p/parted/libparted1.8-udeb_1.8.8.git.2009.05.23-1_amd64.udeb
parted-doc_1.8.8.git.2009.05.23-1_all.deb
  to pool/main/p/parted/parted-doc_1.8.8.git.2009.05.23-1_all.deb
parted-udeb_1.8.8.git.2009.05.23-1_amd64.udeb
  to pool/main/p/parted/parted-udeb_1.8.8.git.2009.05.23-1_amd64.udeb
parted_1.8.8.git.2009.05.23-1.diff.gz
  to pool/main/p/parted/parted_1.8.8.git.2009.05.23-1.diff.gz
parted_1.8.8.git.2009.05.23-1.dsc
  to pool/main/p/parted/parted_1.8.8.git.2009.05.23-1.dsc
parted_1.8.8.git.2009.05.23-1_amd64.deb
  to pool/main/p/parted/parted_1.8.8.git.2009.05.23-1_amd64.deb
parted_1.8.8.git.2009.05.23.orig.tar.gz
  to pool/main/p/parted/parted_1.8.8.git.2009.05.23.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 511224@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Otavio Salvador <otavio@ossystems.com.br> (supplier of updated parted package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 23 May 2009 20:42:05 -0300
Source: parted
Binary: parted parted-udeb libparted1.8-11 libparted1.8-udeb libparted1.8-i18n libparted1.8-dev libparted1.8-dbg parted-doc
Architecture: source amd64 all
Version: 1.8.8.git.2009.05.23-1
Distribution: experimental
Urgency: low
Maintainer: Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>
Changed-By: Otavio Salvador <otavio@ossystems.com.br>
Description: 
 libparted1.8-11 - The GNU Parted disk partitioning shared library
 libparted1.8-dbg - The GNU Parted disk partitioning library debug development files
 libparted1.8-dev - The GNU Parted disk partitioning library development files
 libparted1.8-i18n - The GNU Parted disk partitioning library i18n support
 libparted1.8-udeb - The GNU Parted disk partitioning shared library (udeb)
 parted     - The GNU Parted disk partition resizing program
 parted-doc - The GNU Parted disk partition resizing program documentation
 parted-udeb - Manually partition a hard drive (parted) (udeb)
Closes: 482408 505346 511224 525193
Changes: 
 parted (1.8.8.git.2009.05.23-1) experimental; urgency=low
 .
   [ Otavio Salvador ]
   * New upstream snapshot:
     - Update build scripts. Closes: #525193
     - Fix FTBFS with GCC 4.4. Closes: #505346
     - Add ext4 support. Closes: #511224
   * Import packaging files
   * Clean up build-depends. Closes: #482408
   * Set version as 1.8.8.1.147-f9f5-dirty
   * debian/patches/parted-dmraid.dpatch: droped
   * debian/patches/sparc-fix-raid.dpatch: droped
   * debian/rules: do not call autotools during build
   * Bump Standards-Version to 3.8.1; no changes required
   * Bump library soname
   * Check ABI symbols when compiling in amd64
   * Fix check-abi build target
 .
   [ Colin Watson ]
   * debian/patches/update-ext4-code.dpatch: add to improve ext4 support.
Checksums-Sha1: 
 57a865d9cacaffa5cd7683e6b885c101ab8e0d17 1567 parted_1.8.8.git.2009.05.23-1.dsc
 c3925d9c6eab1065334717421665eebc95dba1d3 6646739 parted_1.8.8.git.2009.05.23.orig.tar.gz
 b91d47b2969003eb7d394ba959137106ce4d5755 42954 parted_1.8.8.git.2009.05.23-1.diff.gz
 03ba77f105e08b55151eb35eaa943ca0118a8627 74378 parted_1.8.8.git.2009.05.23-1_amd64.deb
 868cc0b8d03c165ffcb0a1eb7cd6acf4e62618ed 34924 parted-udeb_1.8.8.git.2009.05.23-1_amd64.udeb
 784c82e825bebaa5c4fafcb6d684a49c0b72dcde 193214 libparted1.8-11_1.8.8.git.2009.05.23-1_amd64.deb
 8b0db5f27e2dc6731b690aae4ca579283d55f2e1 202074 libparted1.8-udeb_1.8.8.git.2009.05.23-1_amd64.udeb
 e9228ca0fdf4c6df767ceeef0a777855ecad3c06 259924 libparted1.8-dev_1.8.8.git.2009.05.23-1_amd64.deb
 ac9ef1d32535b78f12a88163929d81b8d4da347a 816502 libparted1.8-dbg_1.8.8.git.2009.05.23-1_amd64.deb
 555b7a3d83b3b4427b28ba7a1e946fd24ad236ba 432894 libparted1.8-i18n_1.8.8.git.2009.05.23-1_all.deb
 478e4238afa63df4a86fd6891fef673d172d6d9c 84820 parted-doc_1.8.8.git.2009.05.23-1_all.deb
Checksums-Sha256: 
 d23f7cb5fd4741c69fbb7d347015e92c2274d24f4083acc5f805e1437d2bad55 1567 parted_1.8.8.git.2009.05.23-1.dsc
 85013d36d671e5faa3e86c09ff66cd9f1b54985f97dc7e5961c83009cbbcfe29 6646739 parted_1.8.8.git.2009.05.23.orig.tar.gz
 5fc0599304097c3891d2221971c0f16b093facfae8c01a5656cfb0a3420fab98 42954 parted_1.8.8.git.2009.05.23-1.diff.gz
 416fe5e1e3453cfdcc9a1cd746385aacb6f25a6e03c1dfb2ae588ff9a5f8fb88 74378 parted_1.8.8.git.2009.05.23-1_amd64.deb
 691ceec0a03a4eba598b2ac4a03a3a404564263e1ab76bda16dc742c7427cea1 34924 parted-udeb_1.8.8.git.2009.05.23-1_amd64.udeb
 09c81730440adbf531d2bf70d8ad4a911bc54ce65ba633532b9723d5a8b84ca3 193214 libparted1.8-11_1.8.8.git.2009.05.23-1_amd64.deb
 3bd68f7f0a10a15294e81f09efad39fa020304eb89af09c9b341eacc909ddbe9 202074 libparted1.8-udeb_1.8.8.git.2009.05.23-1_amd64.udeb
 228ac139919daf25e2315de85219ccd97265016183e7e68de90ec0509212f424 259924 libparted1.8-dev_1.8.8.git.2009.05.23-1_amd64.deb
 c9441d84eb5010a9f7a0e2184823c0a07466e3f1b1b632d3cd3386f6dd840104 816502 libparted1.8-dbg_1.8.8.git.2009.05.23-1_amd64.deb
 5463a0b08e684b5ffdbf6b17d6cbb9d5f57294d405d75c7f7369bed7529a3ceb 432894 libparted1.8-i18n_1.8.8.git.2009.05.23-1_all.deb
 97d637a7244ae5d42b25baded9c22107284145f65aeaedcf9e13112cdc4e5488 84820 parted-doc_1.8.8.git.2009.05.23-1_all.deb
Files: 
 9c44676089c5badb9ca4319f47a3e798 1567 admin optional parted_1.8.8.git.2009.05.23-1.dsc
 381c47d058b2fa2b8dc2709bf30719b8 6646739 admin optional parted_1.8.8.git.2009.05.23.orig.tar.gz
 272f9f39e9fac0ef6087d8080750bd5a 42954 admin optional parted_1.8.8.git.2009.05.23-1.diff.gz
 a2ed7b9cde79ad82a10efb0f20ae1295 74378 admin optional parted_1.8.8.git.2009.05.23-1_amd64.deb
 1a745d23c75313473341ad1fc39f237f 34924 debian-installer extra parted-udeb_1.8.8.git.2009.05.23-1_amd64.udeb
 9f41c8fbb59dc440fd6d6a5c8f2659e5 193214 libs optional libparted1.8-11_1.8.8.git.2009.05.23-1_amd64.deb
 17c10ac86e0f4904a5ce6be29812d5b8 202074 debian-installer extra libparted1.8-udeb_1.8.8.git.2009.05.23-1_amd64.udeb
 de303d9002fb2a7a704f3c9cd3d9d4eb 259924 libdevel optional libparted1.8-dev_1.8.8.git.2009.05.23-1_amd64.deb
 bb8646adde91d867980356bb630e9104 816502 libdevel extra libparted1.8-dbg_1.8.8.git.2009.05.23-1_amd64.deb
 da3f0ee12c7cb9b2c7e407e0165334f7 432894 libs optional libparted1.8-i18n_1.8.8.git.2009.05.23-1_all.deb
 0e0ee745aa13504b4c07a3489a68698e 84820 doc optional parted-doc_1.8.8.git.2009.05.23-1_all.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkoYjfkACgkQLqiZQEml+FWvBQCghAFWNdJsWQiogBbW0NvUwnOi
Kj4AoLlirio/ZsyIg0HdNOmZUXLCqHU9
=Qyk9
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 19 Sep 2009 07:28:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:36:02 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.